# conf.py - Configuration for Ubuntu One Client package windows build
#
# Copyright 2012 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.

"""Configure what branches make the release."""

# This is appended to the branches. So, if you set it to
# "/stable-3-0" you will get lp:ubuntuone-client/stable-3-0
BRANCH_POSTFIX = ""

# You can add branches that are to be merged into the release by
# adding them to the adequate list.


U1_CLIENT_BRANCHES = (
    "lp:ubuntuone-client" + BRANCH_POSTFIX,
)
U1_CLIENT_DATA_BRANCHES = (
    "lp:ubuntuone-client-data" + BRANCH_POSTFIX,
)
U1_CONTROL_PANEL_BRANCHES = (
    "lp:ubuntuone-control-panel" + BRANCH_POSTFIX,
)
UBUNTU_SSO_BRANCHES = (
    "lp:ubuntu-sso-client" + BRANCH_POSTFIX,
)
U1_STORAGE_PROTOCOL_BRANCHES = (
    "lp:ubuntuone-storage-protocol" + BRANCH_POSTFIX,
)

# If show_cmd is set to True, then the binaries will have cmd windows where
# you can see stderr.

SHOW_CMD = True
