@echo off

:: for jenkins
cd %~dp0

SET PYTHONPATHTOKENS=3
VER | FIND "XP" > nul
IF %ERRORLEVEL% == 0 SET PYTHONPATHTOKENS=4

echo Adding bin folder to Path
set Path=%CD%\bin;%Path%

:: Get protoc.exe for ubuntuone-storage-protocol building
:: This will use the Python on the Path that we got from Buildout
python.exe get_protoc.py

:: Run all tests
IF NOT "%1" == "testall" GOTO END

cd parts\ubuntu-sso-client
:: Check for one of the expected reg values and install the value if we don't find it.
FOR /F "tokens=%PYTHONPATHTOKENS%" %%A IN ('REG QUERY "HKEY_LOCAL_MACHINE\SOFTWARE\Ubuntu One" /v path-ubuntuone-syncdaemon') DO SET SYNCDAEMON=%%A
IF NOT %errorlevel% == 0 ubuntu_sso\main\tests\ubuntuone.reg

CALL run-tests.bat
cd "%~dp0"

cd parts\ubuntuone-client
CALL run-tests.bat
cd "%~dp0"

cd parts\ubuntuone-control-panel
CALL run-tests.bat
cd "%~dp0"

cd parts\ubuntuone-windows-installer
CALL run-tests.bat
cd "%~dp0"

:END

