#!/usr/bin/env python
#
# Copyright 2010-2012 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.

"""Setup.py: build, distribute, clean."""

try:
    import DistUtilsExtra.auto
except ImportError:
    print >> sys.stderr, 'To build this program you need '\
                         'https://launchpad.net/python-distutils-extra'
    sys.exit(1)
assert DistUtilsExtra.auto.__version__ >= '2.18', \
       'needs DistUtilsExtra.auto >= 2.18'

DistUtilsExtra.auto.setup(
    name='ubuntuone-windows-installer',
    version='3.1',
    license='GPL v3',
    author='Roberto Alsina',
    author_email='roberto.alsina@canonical.com',
    description='Ubuntu One Windows Installer',
    long_description='Scripts to build the Ubuntu One windows installer.',
    url='https://launchpad.net/ubuntuone-windows-installer',
)
